As evidenced by over 30 years of development history, trust-worthy Korean CAD, CADian!
FAQ
·
2013.12.11
CADian VBA Sample Code - 4 [ Line Copy, Rotate ]
|
---|
Private Sub Copy_and_Rotate() Dim myDoc As IntelliCAD.Document Dim myLine As IntelliCAD.Line Dim myStartPt As IntelliCAD.Point Dim myEndPt As IntelliCAD.Point Set myDoc = Application.ActiveDocument Set myStartPt = Library.CreatePoint(4, 4) Set myEndPt = Library.CreatePoint(7, 3) Set myLine = myDoc.ModelSpace.AddLine(myStartPt, myEndPt) myLine.Update "" Copy and rotate the line Dim copymyLine As IntelliCAD.Line Set copymyLine = myLine.Copy() copymyLine.Rotate myStartPt, 10 MsgBox "Rotated the copied line 10 radians." ThisDocument.ActiveViewport.ZoomExtents End Sub End Sub |